RDKit::MolHash Namespace Reference

## Classes

struct | HashSet

## Typedefs

typedef std::uint32_t | HashCodeType

## Enumerations

enum | CodeFlags { CF_NO_LABELS = 0x0000, CF_ELEMENT = 0x0001, CF_CHARGE = 0x0002, CF_VALENCE = 0x0004, CF_ISOTOPE = 0x0008, CF_ATOM_CHIRALITY = 0x0010, CF_ATOM_AROMATIC = 0x0020, CF_ATOM_ALL = 0x00FF, CF_BOND_ORDER, CF_BOND_AROMATIZATION = 0x0200, CF_BOND_TYPE_EXACT, CF_BOND_CHIRALITY, CF_BOND_IN_RING = 0x0800, CF_BOND_ALL = 0xFF00, CF_ALL = 0xFFFF }

## Functions

RDKIT_MOLHASH_EXPORT HashCodeType | generateMoleculeHashCode (const ROMol &mol, const std::vector< unsigned > *atomsToUse=0, const std::vector< unsigned > *bondsToUse=0, const std::vector< std::uint32_t > *atomCodes=0, const std::vector< std::uint32_t > *bondCodes=0)
RDKIT_MOLHASH_EXPORT void | fillAtomBondCodes (const ROMol &mol, boost::uint64_t flags, std::vector< std::uint32_t > *atomCodes, std::vector< std::uint32_t > *bondCodes)
RDKIT_MOLHASH_EXPORT void | generateMoleculeHashSet (const ROMol &mol, HashSet &res, const std::vector< unsigned > *atomsToUse=0, const std::vector< unsigned > *bondsToUse=0)
RDKIT_MOLHASH_EXPORT std::string | generateMoleculeHashSet (const ROMol &mol, const std::vector< unsigned > *atomsToUse=0, const std::vector< unsigned > *bondsToUse=0)
RDKIT_MOLHASH_EXPORT std::string | encode (const void *bin, size_t size)
RDKIT_MOLHASH_EXPORT std::string | MolHash (RWMol *mol, enum HashFunction func)
RDKIT_MOLHASH_EXPORT void | Strip (RWMol *mol, unsigned int striptype)
RDKIT_MOLHASH_EXPORT void | SplitMolecule (RWMol *mol, std::vector< RWMol * > &molv)

## Typedef Documentation

## HashCodeType

typedef std::uint32_t RDKit::MolHash::HashCodeType

Definition at line 22 of file MolHash.h.

## Enumeration Type Documentation

## CodeFlags

enum RDKit::MolHash::CodeFlags

Enumerator
CF_NO_LABELS |
CF_ELEMENT |
CF_CHARGE |
CF_VALENCE |
CF_ISOTOPE |
CF_ATOM_CHIRALITY |
CF_ATOM_AROMATIC |
CF_ATOM_ALL |
CF_BOND_ORDER |
CF_BOND_AROMATIZATION |
CF_BOND_TYPE_EXACT |
CF_BOND_CHIRALITY |
CF_BOND_IN_RING |
CF_BOND_ALL |
CF_ALL |

Definition at line 33 of file MolHash.h.

## Function Documentation

## encode()

RDKIT_MOLHASH_EXPORT std::string RDKit::MolHash::encode | ( | const void * | bin,
|  | size_t | size
| ) |  |

## fillAtomBondCodes()

RDKIT_MOLHASH_EXPORT void RDKit::MolHash::fillAtomBondCodes | ( | const ROMol & | mol,
|  | boost::uint64_t | flags,
|  | std::vector< std::uint32_t > * | atomCodes,
|  | std::vector< std::uint32_t > * | bondCodes
| ) |  |

## generateMoleculeHashCode()

RDKIT_MOLHASH_EXPORT HashCodeType RDKit::MolHash::generateMoleculeHashCode | ( | const ROMol & | mol,
|  | const std::vector< unsigned > * | atomsToUse = `0`,
|  | const std::vector< unsigned > * | bondsToUse = `0`,
|  | const std::vector< std::uint32_t > * | atomCodes = `0`,
|  | const std::vector< std::uint32_t > * | bondCodes = `0`
| ) |  |

## generateMoleculeHashSet() [1/2]

RDKIT_MOLHASH_EXPORT std::string RDKit::MolHash::generateMoleculeHashSet | ( | const ROMol & | mol,
|  | const std::vector< unsigned > * | atomsToUse = `0`,
|  | const std::vector< unsigned > * | bondsToUse = `0`
| ) |  |

## generateMoleculeHashSet() [2/2]

RDKIT_MOLHASH_EXPORT void RDKit::MolHash::generateMoleculeHashSet | ( | const ROMol & | mol,
|  | HashSet & | res,
|  | const std::vector< unsigned > * | atomsToUse = `0`,
|  | const std::vector< unsigned > * | bondsToUse = `0`
| ) |  |

## MolHash()

RDKIT_MOLHASH_EXPORT std::string RDKit::MolHash::MolHash | ( | RWMol * | mol,
|  | enum HashFunction | func
| ) |  |

## SplitMolecule()

RDKIT_MOLHASH_EXPORT void RDKit::MolHash::SplitMolecule | ( | RWMol * | mol,
|  | std::vector< RWMol * > & | molv
| ) |  |

## Strip()

RDKIT_MOLHASH_EXPORT void RDKit::MolHash::Strip | ( | RWMol * | mol,
|  | unsigned int | striptype
| ) |  |